# 66. Mutation: Spara fält

Mutation för att ändra befintlig "Field" med en ny gräns och/eller namn.&#x20;

{% hint style="info" %}
För att redigera gränsen för befintlig "Field" använd `registerField` mutation.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation SaveFieldSample {
  saveField(
    input: { 
      uuid: "<placeholder_of_field_uuid>"
      farmUuid: "<placeholder_of_farm_uuid>"
    	 name: "Field_name" 
    }
  ) {
    uuid
    farmUuid
    namn
    boundaryUrl
    topographyMaps {
      uuid
      fieldUuid
      status
      geoMaps {
        kortNamn
        url
        hexColorCodes
        classes
      }
    }
    labels {
      namn
      value
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/66.-mutation-spara-falt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
